<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="digital.laboratory.platform.reagent.mapper.LocationInformationMapper">

  <resultMap id="locationInformationMap" type="digital.laboratory.platform.reagent.entity.LocationInformation">
    <id property="locationInformationId" column="location_information_id"/>
    <result property="cabinetNumber" column="cabinet_number"/>
    <result property="cabinetType" column="cabinet_type"/>
    <result property="latticeNumber" column="lattice_number"/>
    <result property="storageRegistrationFormId" column="storage_registration_form_id"/>
    <result property="storageRoomNumber" column="storage_room_number"/>
    <result property="storageRoomType" column="storage_room_type"/>
    <result property="createTime" column="create_time"/>
    <result property="updateTime" column="update_time"/>
    <result property="createBy" column="create_by"/>
    <result property="updateBy" column="update_by"/>

  </resultMap>
</mapper>
